program
var i : int;
funct inc( var a : int; ) void
	var c : int;
	funct plus1( b : int; ) int
		var c : int;
		begin
			c = b + 1;
			return c;
		end
	begin
		c = a;
		a = plus1( c );
	end
begin
	for i = 0; i < 10; inc( i ) do
		println( i );
	end
end.
